1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be more Bourne compatible
16DUALCASE=1; export DUALCASE # for MKS sh
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18  emulate sh
19  NULLCMD=:
20  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21  # is contrary to our usage.  Disable this feature.
22  alias -g '${1+"$@"}'='"$@"'
23  setopt NO_GLOB_SUBST
24else
25  case `(set -o) 2>/dev/null` in
26  *posix*) set -o posix ;;
27esac
28
29fi
30
31
32
33
34# PATH needs CR
35# Avoid depending upon Character Ranges.
36as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39as_cr_digits='0123456789'
40as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42# The user is always right.
43if test "${PATH_SEPARATOR+set}" != set; then
44  echo "#! /bin/sh" >conf$$.sh
45  echo  "exit 0"   >>conf$$.sh
46  chmod +x conf$$.sh
47  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48    PATH_SEPARATOR=';'
49  else
50    PATH_SEPARATOR=:
51  fi
52  rm -f conf$$.sh
53fi
54
55# Support unset when possible.
56if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57  as_unset=unset
58else
59  as_unset=false
60fi
61
62
63# IFS
64# We need space, tab and new line, in precisely that order.  Quoting is
65# there to prevent editors from complaining about space-tab.
66# (If _AS_PATH_WALK were called with IFS unset, it would disable word
67# splitting by setting IFS to empty value.)
68as_nl='
69'
70IFS=" ""	$as_nl"
71
72# Find who we are.  Look in the path if we contain no directory separator.
73case $0 in
74  *[\\/]* ) as_myself=$0 ;;
75  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76for as_dir in $PATH
77do
78  IFS=$as_save_IFS
79  test -z "$as_dir" && as_dir=.
80  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81done
82IFS=$as_save_IFS
83
84     ;;
85esac
86# We did not find ourselves, most probably we were run as `sh COMMAND'
87# in which case we are not to be found in the path.
88if test "x$as_myself" = x; then
89  as_myself=$0
90fi
91if test ! -f "$as_myself"; then
92  echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93  { (exit 1); exit 1; }
94fi
95
96# Work around bugs in pre-3.0 UWIN ksh.
97for as_var in ENV MAIL MAILPATH
98do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99done
100PS1='$ '
101PS2='> '
102PS4='+ '
103
104# NLS nuisances.
105for as_var in \
106  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108  LC_TELEPHONE LC_TIME
109do
110  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111    eval $as_var=C; export $as_var
112  else
113    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114  fi
115done
116
117# Required to use basename.
118if expr a : '\(a\)' >/dev/null 2>&1 &&
119   test "X`expr 00001 : '.*\(...\)'`" = X001; then
120  as_expr=expr
121else
122  as_expr=false
123fi
124
125if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126  as_basename=basename
127else
128  as_basename=false
129fi
130
131
132# Name of the executable.
133as_me=`$as_basename -- "$0" ||
134$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135	 X"$0" : 'X\(//\)$' \| \
136	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137echo X/"$0" |
138    sed '/^.*\/\([^/][^/]*\)\/*$/{
139	    s//\1/
140	    q
141	  }
142	  /^X\/\(\/\/\)$/{
143	    s//\1/
144	    q
145	  }
146	  /^X\/\(\/\).*/{
147	    s//\1/
148	    q
149	  }
150	  s/.*/./; q'`
151
152# CDPATH.
153$as_unset CDPATH
154
155
156
157  as_lineno_1=$LINENO
158  as_lineno_2=$LINENO
159  test "x$as_lineno_1" != "x$as_lineno_2" &&
160  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163  # uniformly replaced by the line number.  The first 'sed' inserts a
164  # line-number line after each line using $LINENO; the second 'sed'
165  # does the real work.  The second script uses 'N' to pair each
166  # line-number line with the line containing $LINENO, and appends
167  # trailing '-' during substitution so that $LINENO is not a special
168  # case at line end.
169  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170  # scripts with optimization help from Paolo Bonzini.  Blame Lee
171  # E. McMahon (1931-1989) for sed's syntax.  :-)
172  sed -n '
173    p
174    /[$]LINENO/=
175  ' <$as_myself |
176    sed '
177      s/[$]LINENO.*/&-/
178      t lineno
179      b
180      :lineno
181      N
182      :loop
183      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184      t loop
185      s/-\n.*//
186    ' >$as_me.lineno &&
187  chmod +x "$as_me.lineno" ||
188    { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189   { (exit 1); exit 1; }; }
190
191  # Don't try to exec as it changes $[0], causing all sort of problems
192  # (the dirname of $[0] is not the place where we might find the
193  # original and so on.  Autoconf is especially sensitive to this).
194  . "./$as_me.lineno"
195  # Exit status is that of the last command.
196  exit
197}
198
199
200if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201  as_dirname=dirname
202else
203  as_dirname=false
204fi
205
206ECHO_C= ECHO_N= ECHO_T=
207case `echo -n x` in
208-n*)
209  case `echo 'x\c'` in
210  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
211  *)   ECHO_C='\c';;
212  esac;;
213*)
214  ECHO_N='-n';;
215esac
216
217if expr a : '\(a\)' >/dev/null 2>&1 &&
218   test "X`expr 00001 : '.*\(...\)'`" = X001; then
219  as_expr=expr
220else
221  as_expr=false
222fi
223
224rm -f conf$$ conf$$.exe conf$$.file
225if test -d conf$$.dir; then
226  rm -f conf$$.dir/conf$$.file
227else
228  rm -f conf$$.dir
229  mkdir conf$$.dir
230fi
231echo >conf$$.file
232if ln -s conf$$.file conf$$ 2>/dev/null; then
233  as_ln_s='ln -s'
234  # ... but there are two gotchas:
235  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237  # In both cases, we have to default to `cp -p'.
238  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239    as_ln_s='cp -p'
240elif ln conf$$.file conf$$ 2>/dev/null; then
241  as_ln_s=ln
242else
243  as_ln_s='cp -p'
244fi
245rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246rmdir conf$$.dir 2>/dev/null
247
248if mkdir -p . 2>/dev/null; then
249  as_mkdir_p=:
250else
251  test -d ./-p && rmdir ./-p
252  as_mkdir_p=false
253fi
254
255if test -x / >/dev/null 2>&1; then
256  as_test_x='test -x'
257else
258  if ls -dL / >/dev/null 2>&1; then
259    as_ls_L_option=L
260  else
261    as_ls_L_option=
262  fi
263  as_test_x='
264    eval sh -c '\''
265      if test -d "$1"; then
266        test -d "$1/.";
267      else
268	case $1 in
269        -*)set "./$1";;
270	esac;
271	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272	???[sx]*):;;*)false;;esac;fi
273    '\'' sh
274  '
275fi
276as_executable_p=$as_test_x
277
278# Sed expression to map a string onto a valid CPP name.
279as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281# Sed expression to map a string onto a valid variable name.
282as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285exec 6>&1
286
287# Save the log message, to keep $[0] and so on meaningful, and to
288# report actual input values of CONFIG_FILES etc. instead of their
289# values after options handling.
290ac_log="
291This file was extended by $as_me, which was
292generated by GNU Autoconf 2.61.  Invocation command line was
293
294  CONFIG_FILES    = $CONFIG_FILES
295  CONFIG_HEADERS  = $CONFIG_HEADERS
296  CONFIG_LINKS    = $CONFIG_LINKS
297  CONFIG_COMMANDS = $CONFIG_COMMANDS
298  $ $0 $@
299
300on `(hostname || uname -n) 2>/dev/null | sed 1q`
301"
302
303# Files that config.status was made for.
304config_files=" Makefile"
305config_headers=" config.h"
306
307ac_cs_usage="\
308\`$as_me' instantiates files from templates according to the
309current configuration.
310
311Usage: $0 [OPTIONS] [FILE]...
312
313  -h, --help       print this help, then exit
314  -V, --version    print version number and configuration settings, then exit
315  -q, --quiet      do not print progress messages
316  -d, --debug      don't remove temporary files
317      --recheck    update $as_me by reconfiguring in the same conditions
318  --file=FILE[:TEMPLATE]
319		   instantiate the configuration file FILE
320  --header=FILE[:TEMPLATE]
321		   instantiate the configuration header FILE
322
323Configuration files:
324$config_files
325
326Configuration headers:
327$config_headers
328
329Report bugs to <bug-autoconf@gnu.org>."
330
331ac_cs_version="\
332config.status
333configured by ./configure, generated by GNU Autoconf 2.61,
334  with options \"'--prefix=/usr' '--host=arm-linux' 'host_alias=arm-linux' '--cache-file=/dev/null' '--srcdir=.' 'CC=arm-brcm-linux-uclibcgnueabi-gcc' 'CFLAGS=-Os -O2 -DBCMWPA2 -DRESTART_ALL_PROCESSES -D__CONFIG_USBAP__ -DBCMQOS -DBCMWPS -D__CONFIG_EMF__ -DTRAFFIC_MGMT -DPHYMON -DSUPPORT_REMOTE_HTTPS -DINCLUDE_WPS_V20 -DINCLUDE_5G_AUTO_CHANNEL -DOPENDNS_PARENTAL_CONTROL -DINCLUDE_UCP -DU12H240 -DR6300v2 -DMULTIPLE_SSID -DENABLE_ML -DBCM53125 -DBCM5301X -DCONFIG_RUSSIA_IPTV -DDLNA -DHTTP_ACCESS_USB -DMAX_USB_ACCESS -DSAMBA_ENABLE -DUSB_NEW_SPEC -DINCLUDE_WIFI_BUTTON -DINCLUDE_USB_LED -DINCLUDE_DUAL_BAND -DSINGLE_FIRMWARE -DINCLUDE_GET_ST_CHKSUM -DUNIFIED_STR_TBL -DFIRST_MTD_ROTATION -DWIFI_ON_OFF_SCHE -DAUTO_CONN_24HR -DIGMP_PROXY -DAP_MODE -D__CONFIG_IGMP_SNOOPING__ -DLINUX26 -DINCLUDE_IPV6 -DPRESET_WL_SECURITY -DNEW_BCM_WPS_IPC -DSUPPORT_AC_MODE -DSTA_MODE -DPPP_RU_DESIGN -DEXT_ACS -D__CONFIG_PLC__ -D__CONFIG_URE__ -DPLC -DWPS_LONGPUSH_DISABLE -Os -DLINUX26 -DCONFIG_KERNEL_2_6_36 -I$(SRC_PATH)/build/include' 'LDFLAGS=-L$(SRC_PATH)/build/lib' 'CPPFLAGS=-I$(SRC_PATH)/build/include' 'CPP=arm-brcm-linux-uclibcgnueabi-gcc -E'\"
335
336Copyright (C) 2006 Free Software Foundation, Inc.
337This config.status script is free software; the Free Software Foundation
338gives unlimited permission to copy, distribute and modify it."
339
340ac_pwd='$(SRC_PATH)/gperf-3.0.4/src'
341srcdir='.'
342# If no file are specified by the user, then we need to provide default
343# value.  By we need to know if files were specified by the user.
344ac_need_defaults=:
345while test $# != 0
346do
347  case $1 in
348  --*=*)
349    ac_option=`expr "X$1" : 'X\([^=]*\)='`
350    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
351    ac_shift=:
352    ;;
353  *)
354    ac_option=$1
355    ac_optarg=$2
356    ac_shift=shift
357    ;;
358  esac
359
360  case $ac_option in
361  # Handling of the options.
362  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
363    ac_cs_recheck=: ;;
364  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
365    echo "$ac_cs_version"; exit ;;
366  --debug | --debu | --deb | --de | --d | -d )
367    debug=: ;;
368  --file | --fil | --fi | --f )
369    $ac_shift
370    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
371    ac_need_defaults=false;;
372  --header | --heade | --head | --hea )
373    $ac_shift
374    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
375    ac_need_defaults=false;;
376  --he | --h)
377    # Conflict between --help and --header
378    { echo "$as_me: error: ambiguous option: $1
379Try \`$0 --help' for more information." >&2
380   { (exit 1); exit 1; }; };;
381  --help | --hel | -h )
382    echo "$ac_cs_usage"; exit ;;
383  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
384  | -silent | --silent | --silen | --sile | --sil | --si | --s)
385    ac_cs_silent=: ;;
386
387  # This is an error.
388  -*) { echo "$as_me: error: unrecognized option: $1
389Try \`$0 --help' for more information." >&2
390   { (exit 1); exit 1; }; } ;;
391
392  *) ac_config_targets="$ac_config_targets $1"
393     ac_need_defaults=false ;;
394
395  esac
396  shift
397done
398
399ac_configure_extra_args=
400
401if $ac_cs_silent; then
402  exec 6>/dev/null
403  ac_configure_extra_args="$ac_configure_extra_args --silent"
404fi
405
406if $ac_cs_recheck; then
407  echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--prefix=/usr' '--host=arm-linux' 'host_alias=arm-linux' '--cache-file=/dev/null' '--srcdir=.' 'CC=arm-brcm-linux-uclibcgnueabi-gcc' 'CFLAGS=-Os -O2 -DBCMWPA2 -DRESTART_ALL_PROCESSES -D__CONFIG_USBAP__ -DBCMQOS -DBCMWPS -D__CONFIG_EMF__ -DTRAFFIC_MGMT -DPHYMON -DSUPPORT_REMOTE_HTTPS -DINCLUDE_WPS_V20 -DINCLUDE_5G_AUTO_CHANNEL -DOPENDNS_PARENTAL_CONTROL -DINCLUDE_UCP -DU12H240 -DR6300v2 -DMULTIPLE_SSID -DENABLE_ML -DBCM53125 -DBCM5301X -DCONFIG_RUSSIA_IPTV -DDLNA -DHTTP_ACCESS_USB -DMAX_USB_ACCESS -DSAMBA_ENABLE -DUSB_NEW_SPEC -DINCLUDE_WIFI_BUTTON -DINCLUDE_USB_LED -DINCLUDE_DUAL_BAND -DSINGLE_FIRMWARE -DINCLUDE_GET_ST_CHKSUM -DUNIFIED_STR_TBL -DFIRST_MTD_ROTATION -DWIFI_ON_OFF_SCHE -DAUTO_CONN_24HR -DIGMP_PROXY -DAP_MODE -D__CONFIG_IGMP_SNOOPING__ -DLINUX26 -DINCLUDE_IPV6 -DPRESET_WL_SECURITY -DNEW_BCM_WPS_IPC -DSUPPORT_AC_MODE -DSTA_MODE -DPPP_RU_DESIGN -DEXT_ACS -D__CONFIG_PLC__ -D__CONFIG_URE__ -DPLC -DWPS_LONGPUSH_DISABLE -Os -DLINUX26 -DCONFIG_KERNEL_2_6_36 -I$(SRC_PATH)/build/include' 'LDFLAGS=-L$(SRC_PATH)/build/lib' 'CPPFLAGS=-I$(SRC_PATH)/build/include' 'CPP=arm-brcm-linux-uclibcgnueabi-gcc -E' $ac_configure_extra_args " --no-create --no-recursion" >&6
408  CONFIG_SHELL=/bin/sh
409  export CONFIG_SHELL
410  exec /bin/sh "./configure" '--prefix=/usr' '--host=arm-linux' 'host_alias=arm-linux' '--cache-file=/dev/null' '--srcdir=.' 'CC=arm-brcm-linux-uclibcgnueabi-gcc' 'CFLAGS=-Os -O2 -DBCMWPA2 -DRESTART_ALL_PROCESSES -D__CONFIG_USBAP__ -DBCMQOS -DBCMWPS -D__CONFIG_EMF__ -DTRAFFIC_MGMT -DPHYMON -DSUPPORT_REMOTE_HTTPS -DINCLUDE_WPS_V20 -DINCLUDE_5G_AUTO_CHANNEL -DOPENDNS_PARENTAL_CONTROL -DINCLUDE_UCP -DU12H240 -DR6300v2 -DMULTIPLE_SSID -DENABLE_ML -DBCM53125 -DBCM5301X -DCONFIG_RUSSIA_IPTV -DDLNA -DHTTP_ACCESS_USB -DMAX_USB_ACCESS -DSAMBA_ENABLE -DUSB_NEW_SPEC -DINCLUDE_WIFI_BUTTON -DINCLUDE_USB_LED -DINCLUDE_DUAL_BAND -DSINGLE_FIRMWARE -DINCLUDE_GET_ST_CHKSUM -DUNIFIED_STR_TBL -DFIRST_MTD_ROTATION -DWIFI_ON_OFF_SCHE -DAUTO_CONN_24HR -DIGMP_PROXY -DAP_MODE -D__CONFIG_IGMP_SNOOPING__ -DLINUX26 -DINCLUDE_IPV6 -DPRESET_WL_SECURITY -DNEW_BCM_WPS_IPC -DSUPPORT_AC_MODE -DSTA_MODE -DPPP_RU_DESIGN -DEXT_ACS -D__CONFIG_PLC__ -D__CONFIG_URE__ -DPLC -DWPS_LONGPUSH_DISABLE -Os -DLINUX26 -DCONFIG_KERNEL_2_6_36 -I$(SRC_PATH)/build/include' 'LDFLAGS=-L$(SRC_PATH)/build/lib' 'CPPFLAGS=-I$(SRC_PATH)/build/include' 'CPP=arm-brcm-linux-uclibcgnueabi-gcc -E' $ac_configure_extra_args --no-create --no-recursion
411fi
412
413exec 5>>config.log
414{
415  echo
416  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
417## Running $as_me. ##
418_ASBOX
419  echo "$ac_log"
420} >&5
421
422
423# Handling of arguments.
424for ac_config_target in $ac_config_targets
425do
426  case $ac_config_target in
427    "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
428    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
429
430  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
431echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
432   { (exit 1); exit 1; }; };;
433  esac
434done
435
436
437# If the user did not use the arguments to specify the items to instantiate,
438# then the envvar interface is used.  Set only those that are not.
439# We use the long form for the default assignment because of an extremely
440# bizarre bug on SunOS 4.1.3.
441if $ac_need_defaults; then
442  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
443  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
444fi
445
446# Have a temporary directory for convenience.  Make it in the build tree
447# simply because there is no reason against having it here, and in addition,
448# creating and moving files from /tmp can sometimes cause problems.
449# Hook for its removal unless debugging.
450# Note that there is a small window in which the directory will not be cleaned:
451# after its creation but before its name has been assigned to `$tmp'.
452$debug ||
453{
454  tmp=
455  trap 'exit_status=$?
456  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
457' 0
458  trap '{ (exit 1); exit 1; }' 1 2 13 15
459}
460# Create a (secure) tmp directory for tmp files.
461
462{
463  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
464  test -n "$tmp" && test -d "$tmp"
465}  ||
466{
467  tmp=./conf$$-$RANDOM
468  (umask 077 && mkdir "$tmp")
469} ||
470{
471   echo "$me: cannot create a temporary directory in ." >&2
472   { (exit 1); exit 1; }
473}
474
475#
476# Set up the sed scripts for CONFIG_FILES section.
477#
478
479# No need to generate the scripts if there are no CONFIG_FILES.
480# This happens for instance when ./config.status config.h
481if test -n "$CONFIG_FILES"; then
482
483cat >"$tmp/subs-1.sed" <<\CEOF
484/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
485s,@SHELL@,|#_!!_#|/bin/sh,g
486s,@PATH_SEPARATOR@,|#_!!_#|:,g
487s,@PACKAGE_NAME@,|#_!!_#|,g
488s,@PACKAGE_TARNAME@,|#_!!_#|,g
489s,@PACKAGE_VERSION@,|#_!!_#|,g
490s,@PACKAGE_STRING@,|#_!!_#|,g
491s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
492s,@exec_prefix@,|#_!!_#|${prefix},g
493s,@prefix@,|#_!!_#|/usr,g
494s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
495s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
496s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
497s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
498s,@datarootdir@,|#_!!_#|${prefix}/share,g
499s,@datadir@,|#_!!_#|${datarootdir},g
500s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
501s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
502s,@localstatedir@,|#_!!_#|${prefix}/var,g
503s,@includedir@,|#_!!_#|${prefix}/include,g
504s,@oldincludedir@,|#_!!_#|/usr/include,g
505s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE},g
506s,@infodir@,|#_!!_#|${datarootdir}/info,g
507s,@htmldir@,|#_!!_#|${docdir},g
508s,@dvidir@,|#_!!_#|${docdir},g
509s,@pdfdir@,|#_!!_#|${docdir},g
510s,@psdir@,|#_!!_#|${docdir},g
511s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
512s,@localedir@,|#_!!_#|${datarootdir}/locale,g
513s,@mandir@,|#_!!_#|${datarootdir}/man,g
514s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
515s,@ECHO_C@,|#_!!_#|,g
516s,@ECHO_N@,|#_!!_#|-n,g
517s,@ECHO_T@,|#_!!_#|,g
518s,@LIBS@,|#_!!_#|,g
519s,@build_alias@,|#_!!_#|,g
520s,@host_alias@,|#_!!_#|arm-linux,g
521s,@target_alias@,|#_!!_#|,g
522s,@SET_MAKE@,|#_!!_#|,g
523s,@CC@,|#_!!_#|arm-brcm-linux-uclibcgnueabi-gcc,g
524s,@CFLAGS@,|#_!!_#|-Os -O2 -DBCMWPA2 -DRESTART_ALL_PROCESSES -D__CONFIG_USBAP__ -DBCMQOS -DBCMWPS -D__CONFIG_EMF__ -DTRAFFIC_MGMT -DPHYMON -DSUPPORT_REMOTE_HTTPS -DINCLUDE_WPS_V20 -DINCLUDE_5G_AUTO_CHANNEL -DOPENDNS_PARENTAL_CONTROL -DINCLUDE_UCP -DU12H240 -DR6300v2 -DMULTIPLE_SSID -DENABLE_ML -DBCM53125 -DBCM5301X -DCONFIG_RUSSIA_IPTV -DDLNA -DHTTP_ACCESS_USB -DMAX_USB_ACCESS -DSAMBA_ENABLE -DUSB_NEW_SPEC -DINCLUDE_WIFI_BUTTON -DINCLUDE_USB_LED -DINCLUDE_DUAL_BAND -DSINGLE_FIRMWARE -DINCLUDE_GET_ST_CHKSUM -DUNIFIED_STR_TBL -DFIRST_MTD_ROTATION -DWIFI_ON_OFF_SCHE -DAUTO_CONN_24HR -DIGMP_PROXY -DAP_MODE -D__CONFIG_IGMP_SNOOPING__ -DLINUX26 -DINCLUDE_IPV6 -DPRESET_WL_SECURITY -DNEW_BCM_WPS_IPC -DSUPPORT_AC_MODE -DSTA_MODE -DPPP_RU_DESIGN -DEXT_ACS -D__CONFIG_PLC__ -D__CONFIG_URE__ -DPLC -DWPS_LONGPUSH_DISABLE -Os -DLINUX26 -DCONFIG_KERNEL_2_6_36 -I$(SRC_PATH)/build/include,g
525s,@LDFLAGS@,|#_!!_#|-L$(SRC_PATH)/build/lib,g
526s,@CPPFLAGS@,|#_!!_#|-I$(SRC_PATH)/build/include,g
527s,@ac_ct_CC@,|#_!!_#|,g
528s,@EXEEXT@,|#_!!_#|,g
529s,@OBJEXT@,|#_!!_#|o,g
530s,@CPP@,|#_!!_#|arm-brcm-linux-uclibcgnueabi-gcc -E,g
531s,@CXX@,|#_!!_#|g++,g
532s,@CXXFLAGS@,|#_!!_#|-g -O2,g
533s,@ac_ct_CXX@,|#_!!_#|g++,g
534s,@CXXCPP@,|#_!!_#|g++ -E,g
535s,@INSTALL@,|#_!!_#|/usr/bin/install -c,g
536s,@INSTALL_PROGRAM@,|#_!!_#|$(INSTALL),g
537s,@INSTALL_DATA@,|#_!!_#|$(INSTALL) -m 644,g
538s,@GPERF_LIBM@,|#_!!_#|-lm,g
539s,@LIBOBJS@,|#_!!_#|,g
540s,@LTLIBOBJS@,|#_!!_#|,g
541:end
542s/|#_!!_#|//g
543CEOF
544fi # test -n "$CONFIG_FILES"
545
546
547for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS
548do
549  case $ac_tag in
550  :[FHLC]) ac_mode=$ac_tag; continue;;
551  esac
552  case $ac_mode$ac_tag in
553  :[FHL]*:*);;
554  :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
555echo "$as_me: error: Invalid tag $ac_tag." >&2;}
556   { (exit 1); exit 1; }; };;
557  :[FH]-) ac_tag=-:-;;
558  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
559  esac
560  ac_save_IFS=$IFS
561  IFS=:
562  set x $ac_tag
563  IFS=$ac_save_IFS
564  shift
565  ac_file=$1
566  shift
567
568  case $ac_mode in
569  :L) ac_source=$1;;
570  :[FH])
571    ac_file_inputs=
572    for ac_f
573    do
574      case $ac_f in
575      -) ac_f="$tmp/stdin";;
576      *) # Look for the file first in the build tree, then in the source tree
577	 # (if the path is not absolute).  The absolute path cannot be DOS-style,
578	 # because $ac_f cannot contain `:'.
579	 test -f "$ac_f" ||
580	   case $ac_f in
581	   [\\/$]*) false;;
582	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
583	   esac ||
584	   { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
585echo "$as_me: error: cannot find input file: $ac_f" >&2;}
586   { (exit 1); exit 1; }; };;
587      esac
588      ac_file_inputs="$ac_file_inputs $ac_f"
589    done
590
591    # Let's still pretend it is `configure' which instantiates (i.e., don't
592    # use $as_me), people would be surprised to read:
593    #    /* config.h.  Generated by config.status.  */
594    configure_input="Generated from "`IFS=:
595	  echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
596    if test x"$ac_file" != x-; then
597      configure_input="$ac_file.  $configure_input"
598      { echo "$as_me:$LINENO: creating $ac_file" >&5
599echo "$as_me: creating $ac_file" >&6;}
600    fi
601
602    case $ac_tag in
603    *:-:* | *:-) cat >"$tmp/stdin";;
604    esac
605    ;;
606  esac
607
608  ac_dir=`$as_dirname -- "$ac_file" ||
609$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
610	 X"$ac_file" : 'X\(//\)[^/]' \| \
611	 X"$ac_file" : 'X\(//\)$' \| \
612	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
613echo X"$ac_file" |
614    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
615	    s//\1/
616	    q
617	  }
618	  /^X\(\/\/\)[^/].*/{
619	    s//\1/
620	    q
621	  }
622	  /^X\(\/\/\)$/{
623	    s//\1/
624	    q
625	  }
626	  /^X\(\/\).*/{
627	    s//\1/
628	    q
629	  }
630	  s/.*/./; q'`
631  { as_dir="$ac_dir"
632  case $as_dir in #(
633  -*) as_dir=./$as_dir;;
634  esac
635  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
636    as_dirs=
637    while :; do
638      case $as_dir in #(
639      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
640      *) as_qdir=$as_dir;;
641      esac
642      as_dirs="'$as_qdir' $as_dirs"
643      as_dir=`$as_dirname -- "$as_dir" ||
644$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
645	 X"$as_dir" : 'X\(//\)[^/]' \| \
646	 X"$as_dir" : 'X\(//\)$' \| \
647	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
648echo X"$as_dir" |
649    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
650	    s//\1/
651	    q
652	  }
653	  /^X\(\/\/\)[^/].*/{
654	    s//\1/
655	    q
656	  }
657	  /^X\(\/\/\)$/{
658	    s//\1/
659	    q
660	  }
661	  /^X\(\/\).*/{
662	    s//\1/
663	    q
664	  }
665	  s/.*/./; q'`
666      test -d "$as_dir" && break
667    done
668    test -z "$as_dirs" || eval "mkdir $as_dirs"
669  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
670echo "$as_me: error: cannot create directory $as_dir" >&2;}
671   { (exit 1); exit 1; }; }; }
672  ac_builddir=.
673
674case "$ac_dir" in
675.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
676*)
677  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
678  # A ".." for each directory in $ac_dir_suffix.
679  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
680  case $ac_top_builddir_sub in
681  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
682  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
683  esac ;;
684esac
685ac_abs_top_builddir=$ac_pwd
686ac_abs_builddir=$ac_pwd$ac_dir_suffix
687# for backward compatibility:
688ac_top_builddir=$ac_top_build_prefix
689
690case $srcdir in
691  .)  # We are building in place.
692    ac_srcdir=.
693    ac_top_srcdir=$ac_top_builddir_sub
694    ac_abs_top_srcdir=$ac_pwd ;;
695  [\\/]* | ?:[\\/]* )  # Absolute name.
696    ac_srcdir=$srcdir$ac_dir_suffix;
697    ac_top_srcdir=$srcdir
698    ac_abs_top_srcdir=$srcdir ;;
699  *) # Relative name.
700    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
701    ac_top_srcdir=$ac_top_build_prefix$srcdir
702    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
703esac
704ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
705
706
707  case $ac_mode in
708  :F)
709  #
710  # CONFIG_FILE
711  #
712
713# If the template does not know about datarootdir, expand it.
714# FIXME: This hack should be removed a few years after 2.60.
715ac_datarootdir_hack=; ac_datarootdir_seen=
716
717case `sed -n '/datarootdir/ {
718  p
719  q
720}
721/@datadir@/p
722/@docdir@/p
723/@infodir@/p
724/@localedir@/p
725/@mandir@/p
726' $ac_file_inputs` in
727*datarootdir*) ac_datarootdir_seen=yes;;
728*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
729  { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
730echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
731  ac_datarootdir_hack='
732  s&@datadir@&${datarootdir}&g
733  s&@docdir@&${datarootdir}/doc/${PACKAGE}&g
734  s&@infodir@&${datarootdir}/info&g
735  s&@localedir@&${datarootdir}/locale&g
736  s&@mandir@&${datarootdir}/man&g
737    s&\${datarootdir}&${prefix}/share&g' ;;
738esac
739  sed "/^[	 ]*VPATH[	 ]*=/{
740s/:*\$(srcdir):*/:/
741s/:*\${srcdir}:*/:/
742s/:*@srcdir@:*/:/
743s/^\([^=]*=[	 ]*\):*/\1/
744s/:*$//
745s/^[^=]*=[	 ]*$//
746}
747
748:t
749/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
750s&@configure_input@&$configure_input&;t t
751s&@top_builddir@&$ac_top_builddir_sub&;t t
752s&@srcdir@&$ac_srcdir&;t t
753s&@abs_srcdir@&$ac_abs_srcdir&;t t
754s&@top_srcdir@&$ac_top_srcdir&;t t
755s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
756s&@builddir@&$ac_builddir&;t t
757s&@abs_builddir@&$ac_abs_builddir&;t t
758s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
759$ac_datarootdir_hack
760" $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
761
762test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
763  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
764  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
765  { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
766which seems to be undefined.  Please make sure it is defined." >&5
767echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
768which seems to be undefined.  Please make sure it is defined." >&2;}
769
770  rm -f "$tmp/stdin"
771  case $ac_file in
772  -) cat "$tmp/out"; rm -f "$tmp/out";;
773  *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
774  esac
775 ;;
776  :H)
777  #
778  # CONFIG_HEADER
779  #
780    # First, check the format of the line:
781    cat >"$tmp/defines.sed" <<\CEOF
782/^[	 ]*#[	 ]*undef[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[	 ]*$/b def
783/^[	 ]*#[	 ]*define[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(	 ]/b def
784b
785:def
786s/$/ /
787s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_NAME\)[	 (].*,\1define\2 "" ,
788s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_TARNAME\)[	 (].*,\1define\2 "" ,
789s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_VERSION\)[	 (].*,\1define\2 "" ,
790s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_STRING\)[	 (].*,\1define\2 "" ,
791s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_BUGREPORT\)[	 (].*,\1define\2 "" ,
792s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DYNAMIC_ARRAY\)[	 (].*,\1define\2 1 ,
793s/ $//
794s,^[	 #]*u.*,/* & */,
795CEOF
796    sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
797ac_result="$tmp/out1"
798  if test x"$ac_file" != x-; then
799    echo "/* $configure_input  */" >"$tmp/config.h"
800    cat "$ac_result" >>"$tmp/config.h"
801    if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
802      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
803echo "$as_me: $ac_file is unchanged" >&6;}
804    else
805      rm -f $ac_file
806      mv "$tmp/config.h" $ac_file
807    fi
808  else
809    echo "/* $configure_input  */"
810    cat "$ac_result"
811  fi
812  rm -f "$tmp/out12"
813 ;;
814
815
816  esac
817
818done # for ac_tag
819
820
821{ (exit 0); exit 0; }
822